Initial Version
[qa-tools:mnts.git] / mnts-power-tests / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 subdir = .
36 DIST_COMMON = README $(am__configure_deps) $(dist_def_DATA) \
37         $(dist_doc_DATA) $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
38         $(top_srcdir)/configure depcomp install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_CLEAN_FILES =
47 CONFIG_CLEAN_VPATH_FILES =
48 SOURCES =
49 DIST_SOURCES =
50 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51         html-recursive info-recursive install-data-recursive \
52         install-dvi-recursive install-exec-recursive \
53         install-html-recursive install-info-recursive \
54         install-pdf-recursive install-ps-recursive install-recursive \
55         installcheck-recursive installdirs-recursive pdf-recursive \
56         ps-recursive uninstall-recursive
57 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58 am__vpath_adj = case $$p in \
59     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60     *) f=$$p;; \
61   esac;
62 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63 am__install_max = 40
64 am__nobase_strip_setup = \
65   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66 am__nobase_strip = \
67   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68 am__nobase_list = $(am__nobase_strip_setup); \
69   for p in $$list; do echo "$$p $$p"; done | \
70   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72     if (++n[$$2] == $(am__install_max)) \
73       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74     END { for (dir in files) print dir, files[dir] }'
75 am__base_list = \
76   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
78 am__installdirs = "$(DESTDIR)$(defdir)" "$(DESTDIR)$(docdir)"
79 DATA = $(dist_def_DATA) $(dist_doc_DATA)
80 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
81   distclean-recursive maintainer-clean-recursive
82 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
83         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
84         distdir dist dist-all distcheck
85 ETAGS = etags
86 CTAGS = ctags
87 DIST_SUBDIRS = $(SUBDIRS)
88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
89 distdir = $(PACKAGE)-$(VERSION)
90 top_distdir = $(distdir)
91 am__remove_distdir = \
92   { test ! -d "$(distdir)" \
93     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
94          && rm -fr "$(distdir)"; }; }
95 am__relativize = \
96   dir0=`pwd`; \
97   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
98   sed_rest='s,^[^/]*/*,,'; \
99   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
100   sed_butlast='s,/*[^/]*$$,,'; \
101   while test -n "$$dir1"; do \
102     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
103     if test "$$first" != "."; then \
104       if test "$$first" = ".."; then \
105         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
106         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
107       else \
108         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
109         if test "$$first2" = "$$first"; then \
110           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
111         else \
112           dir2="../$$dir2"; \
113         fi; \
114         dir0="$$dir0"/"$$first"; \
115       fi; \
116     fi; \
117     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
118   done; \
119   reldir="$$dir2"
120 DIST_ARCHIVES = $(distdir).tar.gz
121 GZIP_ENV = --best
122 distuninstallcheck_listfiles = find . -type f -print
123 distcleancheck_listfiles = find . -type f -print
124 ACLOCAL = @ACLOCAL@
125 AMTAR = @AMTAR@
126 AUTOCONF = @AUTOCONF@
127 AUTOHEADER = @AUTOHEADER@
128 AUTOMAKE = @AUTOMAKE@
129 AWK = @AWK@
130 CC = @CC@
131 CCDEPMODE = @CCDEPMODE@
132 CFLAGS = @CFLAGS@
133 CPPFLAGS = @CPPFLAGS@
134 CYGPATH_W = @CYGPATH_W@
135 DEFS = @DEFS@
136 DEPDIR = @DEPDIR@
137 ECHO_C = @ECHO_C@
138 ECHO_N = @ECHO_N@
139 ECHO_T = @ECHO_T@
140 EXEEXT = @EXEEXT@
141 INSTALL = @INSTALL@
142 INSTALL_DATA = @INSTALL_DATA@
143 INSTALL_PROGRAM = @INSTALL_PROGRAM@
144 INSTALL_SCRIPT = @INSTALL_SCRIPT@
145 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
146 LDFLAGS = @LDFLAGS@
147 LIBOBJS = @LIBOBJS@
148 LIBS = @LIBS@
149 LTLIBOBJS = @LTLIBOBJS@
150 MAKEINFO = @MAKEINFO@
151 MKDIR_P = @MKDIR_P@
152 OBJEXT = @OBJEXT@
153 PACKAGE = @PACKAGE@
154 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
155 PACKAGE_NAME = @PACKAGE_NAME@
156 PACKAGE_STRING = @PACKAGE_STRING@
157 PACKAGE_TARNAME = @PACKAGE_TARNAME@
158 PACKAGE_URL = @PACKAGE_URL@
159 PACKAGE_VERSION = @PACKAGE_VERSION@
160 PATH_SEPARATOR = @PATH_SEPARATOR@
161 SET_MAKE = @SET_MAKE@
162 SHELL = @SHELL@
163 STRIP = @STRIP@
164 VERSION = @VERSION@
165 abs_builddir = @abs_builddir@
166 abs_srcdir = @abs_srcdir@
167 abs_top_builddir = @abs_top_builddir@
168 abs_top_srcdir = @abs_top_srcdir@
169 ac_ct_CC = @ac_ct_CC@
170 am__include = @am__include@
171 am__leading_dot = @am__leading_dot@
172 am__quote = @am__quote@
173 am__tar = @am__tar@
174 am__untar = @am__untar@
175 bindir = @bindir@
176 build_alias = @build_alias@
177 builddir = @builddir@
178 datadir = @datadir@
179 datarootdir = @datarootdir@
180 docdir = /opt/$(PACKAGE)
181 dvidir = @dvidir@
182 exec_prefix = @exec_prefix@
183 host_alias = @host_alias@
184 htmldir = @htmldir@
185 includedir = @includedir@
186 infodir = @infodir@
187 install_sh = @install_sh@
188 libdir = @libdir@
189 libexecdir = @libexecdir@
190 localedir = @localedir@
191 localstatedir = @localstatedir@
192 mandir = @mandir@
193 mkdir_p = @mkdir_p@
194 oldincludedir = @oldincludedir@
195 pdfdir = @pdfdir@
196 prefix = @prefix@
197 program_transform_name = @program_transform_name@
198 psdir = @psdir@
199 sbindir = @sbindir@
200 sharedstatedir = @sharedstatedir@
201 srcdir = @srcdir@
202 sysconfdir = @sysconfdir@
203 target_alias = @target_alias@
204 top_build_prefix = @top_build_prefix@
205 top_builddir = @top_builddir@
206 top_srcdir = @top_srcdir@
207 SUBDIRS = src
208 defdir = $(datadir)/$(PACKAGE)
209 dist_def_DATA = tests.xml
210 dist_doc_DATA = README LICENSE
211 all: all-recursive
212
213 .SUFFIXES:
214 am--refresh:
215         @:
216 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
217         @for dep in $?; do \
218           case '$(am__configure_deps)' in \
219             *$$dep*) \
220               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
221               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
222                 && exit 0; \
223               exit 1;; \
224           esac; \
225         done; \
226         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
227         $(am__cd) $(top_srcdir) && \
228           $(AUTOMAKE) --foreign Makefile
229 .PRECIOUS: Makefile
230 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
231         @case '$?' in \
232           *config.status*) \
233             echo ' $(SHELL) ./config.status'; \
234             $(SHELL) ./config.status;; \
235           *) \
236             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
237             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
238         esac;
239
240 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
241         $(SHELL) ./config.status --recheck
242
243 $(top_srcdir)/configure:  $(am__configure_deps)
244         $(am__cd) $(srcdir) && $(AUTOCONF)
245 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
246         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
247 $(am__aclocal_m4_deps):
248 install-dist_defDATA: $(dist_def_DATA)
249         @$(NORMAL_INSTALL)
250         test -z "$(defdir)" || $(MKDIR_P) "$(DESTDIR)$(defdir)"
251         @list='$(dist_def_DATA)'; test -n "$(defdir)" || list=; \
252         for p in $$list; do \
253           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
254           echo "$$d$$p"; \
255         done | $(am__base_list) | \
256         while read files; do \
257           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(defdir)'"; \
258           $(INSTALL_DATA) $$files "$(DESTDIR)$(defdir)" || exit $$?; \
259         done
260
261 uninstall-dist_defDATA:
262         @$(NORMAL_UNINSTALL)
263         @list='$(dist_def_DATA)'; test -n "$(defdir)" || list=; \
264         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
265         test -n "$$files" || exit 0; \
266         echo " ( cd '$(DESTDIR)$(defdir)' && rm -f" $$files ")"; \
267         cd "$(DESTDIR)$(defdir)" && rm -f $$files
268 install-dist_docDATA: $(dist_doc_DATA)
269         @$(NORMAL_INSTALL)
270         test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
271         @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
272         for p in $$list; do \
273           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
274           echo "$$d$$p"; \
275         done | $(am__base_list) | \
276         while read files; do \
277           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
278           $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
279         done
280
281 uninstall-dist_docDATA:
282         @$(NORMAL_UNINSTALL)
283         @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
284         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
285         test -n "$$files" || exit 0; \
286         echo " ( cd '$(DESTDIR)$(docdir)' && rm -f" $$files ")"; \
287         cd "$(DESTDIR)$(docdir)" && rm -f $$files
288
289 # This directory's subdirectories are mostly independent; you can cd
290 # into them and run `make' without going through this Makefile.
291 # To change the values of `make' variables: instead of editing Makefiles,
292 # (1) if the variable is set in `config.status', edit `config.status'
293 #     (which will cause the Makefiles to be regenerated when you run `make');
294 # (2) otherwise, pass the desired values on the `make' command line.
295 $(RECURSIVE_TARGETS):
296         @fail= failcom='exit 1'; \
297         for f in x $$MAKEFLAGS; do \
298           case $$f in \
299             *=* | --[!k]*);; \
300             *k*) failcom='fail=yes';; \
301           esac; \
302         done; \
303         dot_seen=no; \
304         target=`echo $@ | sed s/-recursive//`; \
305         list='$(SUBDIRS)'; for subdir in $$list; do \
306           echo "Making $$target in $$subdir"; \
307           if test "$$subdir" = "."; then \
308             dot_seen=yes; \
309             local_target="$$target-am"; \
310           else \
311             local_target="$$target"; \
312           fi; \
313           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
314           || eval $$failcom; \
315         done; \
316         if test "$$dot_seen" = "no"; then \
317           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
318         fi; test -z "$$fail"
319
320 $(RECURSIVE_CLEAN_TARGETS):
321         @fail= failcom='exit 1'; \
322         for f in x $$MAKEFLAGS; do \
323           case $$f in \
324             *=* | --[!k]*);; \
325             *k*) failcom='fail=yes';; \
326           esac; \
327         done; \
328         dot_seen=no; \
329         case "$@" in \
330           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
331           *) list='$(SUBDIRS)' ;; \
332         esac; \
333         rev=''; for subdir in $$list; do \
334           if test "$$subdir" = "."; then :; else \
335             rev="$$subdir $$rev"; \
336           fi; \
337         done; \
338         rev="$$rev ."; \
339         target=`echo $@ | sed s/-recursive//`; \
340         for subdir in $$rev; do \
341           echo "Making $$target in $$subdir"; \
342           if test "$$subdir" = "."; then \
343             local_target="$$target-am"; \
344           else \
345             local_target="$$target"; \
346           fi; \
347           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
348           || eval $$failcom; \
349         done && test -z "$$fail"
350 tags-recursive:
351         list='$(SUBDIRS)'; for subdir in $$list; do \
352           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
353         done
354 ctags-recursive:
355         list='$(SUBDIRS)'; for subdir in $$list; do \
356           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
357         done
358
359 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
360         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
361         unique=`for i in $$list; do \
362             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
363           done | \
364           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
365               END { if (nonempty) { for (i in files) print i; }; }'`; \
366         mkid -fID $$unique
367 tags: TAGS
368
369 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
370                 $(TAGS_FILES) $(LISP)
371         set x; \
372         here=`pwd`; \
373         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
374           include_option=--etags-include; \
375           empty_fix=.; \
376         else \
377           include_option=--include; \
378           empty_fix=; \
379         fi; \
380         list='$(SUBDIRS)'; for subdir in $$list; do \
381           if test "$$subdir" = .; then :; else \
382             test ! -f $$subdir/TAGS || \
383               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
384           fi; \
385         done; \
386         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
387         unique=`for i in $$list; do \
388             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
389           done | \
390           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
391               END { if (nonempty) { for (i in files) print i; }; }'`; \
392         shift; \
393         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
394           test -n "$$unique" || unique=$$empty_fix; \
395           if test $$# -gt 0; then \
396             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
397               "$$@" $$unique; \
398           else \
399             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
400               $$unique; \
401           fi; \
402         fi
403 ctags: CTAGS
404 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
405                 $(TAGS_FILES) $(LISP)
406         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
407         unique=`for i in $$list; do \
408             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
409           done | \
410           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
411               END { if (nonempty) { for (i in files) print i; }; }'`; \
412         test -z "$(CTAGS_ARGS)$$unique" \
413           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
414              $$unique
415
416 GTAGS:
417         here=`$(am__cd) $(top_builddir) && pwd` \
418           && $(am__cd) $(top_srcdir) \
419           && gtags -i $(GTAGS_ARGS) "$$here"
420
421 distclean-tags:
422         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
423
424 distdir: $(DISTFILES)
425         $(am__remove_distdir)
426         test -d "$(distdir)" || mkdir "$(distdir)"
427         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
428         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
429         list='$(DISTFILES)'; \
430           dist_files=`for file in $$list; do echo $$file; done | \
431           sed -e "s|^$$srcdirstrip/||;t" \
432               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
433         case $$dist_files in \
434           */*) $(MKDIR_P) `echo "$$dist_files" | \
435                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
436                            sort -u` ;; \
437         esac; \
438         for file in $$dist_files; do \
439           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
440           if test -d $$d/$$file; then \
441             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
442             if test -d "$(distdir)/$$file"; then \
443               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
444             fi; \
445             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
446               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
447               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
448             fi; \
449             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
450           else \
451             test -f "$(distdir)/$$file" \
452             || cp -p $$d/$$file "$(distdir)/$$file" \
453             || exit 1; \
454           fi; \
455         done
456         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
457           if test "$$subdir" = .; then :; else \
458             test -d "$(distdir)/$$subdir" \
459             || $(MKDIR_P) "$(distdir)/$$subdir" \
460             || exit 1; \
461           fi; \
462         done
463         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
464           if test "$$subdir" = .; then :; else \
465             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
466             $(am__relativize); \
467             new_distdir=$$reldir; \
468             dir1=$$subdir; dir2="$(top_distdir)"; \
469             $(am__relativize); \
470             new_top_distdir=$$reldir; \
471             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
472             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
473             ($(am__cd) $$subdir && \
474               $(MAKE) $(AM_MAKEFLAGS) \
475                 top_distdir="$$new_top_distdir" \
476                 distdir="$$new_distdir" \
477                 am__remove_distdir=: \
478                 am__skip_length_check=: \
479                 am__skip_mode_fix=: \
480                 distdir) \
481               || exit 1; \
482           fi; \
483         done
484         -test -n "$(am__skip_mode_fix)" \
485         || find "$(distdir)" -type d ! -perm -755 \
486                 -exec chmod u+rwx,go+rx {} \; -o \
487           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
488           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
489           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
490         || chmod -R a+r "$(distdir)"
491 dist-gzip: distdir
492         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
493         $(am__remove_distdir)
494
495 dist-bzip2: distdir
496         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
497         $(am__remove_distdir)
498
499 dist-lzma: distdir
500         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
501         $(am__remove_distdir)
502
503 dist-xz: distdir
504         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
505         $(am__remove_distdir)
506
507 dist-tarZ: distdir
508         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
509         $(am__remove_distdir)
510
511 dist-shar: distdir
512         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
513         $(am__remove_distdir)
514
515 dist-zip: distdir
516         -rm -f $(distdir).zip
517         zip -rq $(distdir).zip $(distdir)
518         $(am__remove_distdir)
519
520 dist dist-all: distdir
521         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
522         $(am__remove_distdir)
523
524 # This target untars the dist file and tries a VPATH configuration.  Then
525 # it guarantees that the distribution is self-contained by making another
526 # tarfile.
527 distcheck: dist
528         case '$(DIST_ARCHIVES)' in \
529         *.tar.gz*) \
530           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
531         *.tar.bz2*) \
532           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
533         *.tar.lzma*) \
534           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
535         *.tar.xz*) \
536           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
537         *.tar.Z*) \
538           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
539         *.shar.gz*) \
540           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
541         *.zip*) \
542           unzip $(distdir).zip ;;\
543         esac
544         chmod -R a-w $(distdir); chmod a+w $(distdir)
545         mkdir $(distdir)/_build
546         mkdir $(distdir)/_inst
547         chmod a-w $(distdir)
548         test -d $(distdir)/_build || exit 0; \
549         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
550           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
551           && am__cwd=`pwd` \
552           && $(am__cd) $(distdir)/_build \
553           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
554             $(DISTCHECK_CONFIGURE_FLAGS) \
555           && $(MAKE) $(AM_MAKEFLAGS) \
556           && $(MAKE) $(AM_MAKEFLAGS) dvi \
557           && $(MAKE) $(AM_MAKEFLAGS) check \
558           && $(MAKE) $(AM_MAKEFLAGS) install \
559           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
560           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
561           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
562                 distuninstallcheck \
563           && chmod -R a-w "$$dc_install_base" \
564           && ({ \
565                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
566                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
567                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
568                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
569                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
570               } || { rm -rf "$$dc_destdir"; exit 1; }) \
571           && rm -rf "$$dc_destdir" \
572           && $(MAKE) $(AM_MAKEFLAGS) dist \
573           && rm -rf $(DIST_ARCHIVES) \
574           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
575           && cd "$$am__cwd" \
576           || exit 1
577         $(am__remove_distdir)
578         @(echo "$(distdir) archives ready for distribution: "; \
579           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
580           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
581 distuninstallcheck:
582         @$(am__cd) '$(distuninstallcheck_dir)' \
583         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
584            || { echo "ERROR: files left after uninstall:" ; \
585                 if test -n "$(DESTDIR)"; then \
586                   echo "  (check DESTDIR support)"; \
587                 fi ; \
588                 $(distuninstallcheck_listfiles) ; \
589                 exit 1; } >&2
590 distcleancheck: distclean
591         @if test '$(srcdir)' = . ; then \
592           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
593           exit 1 ; \
594         fi
595         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
596           || { echo "ERROR: files left in build directory after distclean:" ; \
597                $(distcleancheck_listfiles) ; \
598                exit 1; } >&2
599 check-am: all-am
600 check: check-recursive
601 all-am: Makefile $(DATA)
602 installdirs: installdirs-recursive
603 installdirs-am:
604         for dir in "$(DESTDIR)$(defdir)" "$(DESTDIR)$(docdir)"; do \
605           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
606         done
607 install: install-recursive
608 install-exec: install-exec-recursive
609 install-data: install-data-recursive
610 uninstall: uninstall-recursive
611
612 install-am: all-am
613         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
614
615 installcheck: installcheck-recursive
616 install-strip:
617         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
618           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
619           `test -z '$(STRIP)' || \
620             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
621 mostlyclean-generic:
622
623 clean-generic:
624
625 distclean-generic:
626         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
627         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
628
629 maintainer-clean-generic:
630         @echo "This command is intended for maintainers to use"
631         @echo "it deletes files that may require special tools to rebuild."
632 clean: clean-recursive
633
634 clean-am: clean-generic mostlyclean-am
635
636 distclean: distclean-recursive
637         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
638         -rm -f Makefile
639 distclean-am: clean-am distclean-generic distclean-tags
640
641 dvi: dvi-recursive
642
643 dvi-am:
644
645 html: html-recursive
646
647 html-am:
648
649 info: info-recursive
650
651 info-am:
652
653 install-data-am: install-dist_defDATA install-dist_docDATA
654
655 install-dvi: install-dvi-recursive
656
657 install-dvi-am:
658
659 install-exec-am:
660
661 install-html: install-html-recursive
662
663 install-html-am:
664
665 install-info: install-info-recursive
666
667 install-info-am:
668
669 install-man:
670
671 install-pdf: install-pdf-recursive
672
673 install-pdf-am:
674
675 install-ps: install-ps-recursive
676
677 install-ps-am:
678
679 installcheck-am:
680
681 maintainer-clean: maintainer-clean-recursive
682         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
683         -rm -rf $(top_srcdir)/autom4te.cache
684         -rm -f Makefile
685 maintainer-clean-am: distclean-am maintainer-clean-generic
686
687 mostlyclean: mostlyclean-recursive
688
689 mostlyclean-am: mostlyclean-generic
690
691 pdf: pdf-recursive
692
693 pdf-am:
694
695 ps: ps-recursive
696
697 ps-am:
698
699 uninstall-am: uninstall-dist_defDATA uninstall-dist_docDATA
700
701 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
702         install-am install-strip tags-recursive
703
704 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
705         all all-am am--refresh check check-am clean clean-generic \
706         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
707         dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
708         distclean distclean-generic distclean-tags distcleancheck \
709         distdir distuninstallcheck dvi dvi-am html html-am info \
710         info-am install install-am install-data install-data-am \
711         install-dist_defDATA install-dist_docDATA install-dvi \
712         install-dvi-am install-exec install-exec-am install-html \
713         install-html-am install-info install-info-am install-man \
714         install-pdf install-pdf-am install-ps install-ps-am \
715         install-strip installcheck installcheck-am installdirs \
716         installdirs-am maintainer-clean maintainer-clean-generic \
717         mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
718         tags-recursive uninstall uninstall-am uninstall-dist_defDATA \
719         uninstall-dist_docDATA
720
721
722 # Tell versions [3.59,3.63) of GNU make to not export all variables.
723 # Otherwise a system limit (for SysV at least) may be exceeded.
724 .NOEXPORT: